> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account balance

> Get the current credit balance and recent top-ups.



## OpenAPI

````yaml /openapi.json get /v1/balance
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/balance:
    get:
      tags:
        - Account
      summary: Get account balance
      description: Get the current credit balance and recent top-ups.
      operationId: account_balance_get
      responses:
        '200':
          description: Account balance.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: HTTP 503 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/balance" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            balance = client.account.balance()

            print(balance["balance"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const balance = await client.account.balance();

            console.log(balance.balance);
components:
  schemas:
    BalanceResponse:
      additionalProperties: true
      properties:
        balance:
          title: Balance
          type: number
        balance_millicredits:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Balance Millicredits
        topups:
          items:
            $ref: '#/components/schemas/BalanceTopupResponse'
          title: Topups
          type: array
      required:
        - balance
      title: BalanceResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    BalanceTopupResponse:
      additionalProperties: true
      properties:
        topup_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Topup Id
        amount:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          title: Amount
        status:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Status
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Created At
      title: BalanceTopupResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````